package com.gic.auth.constant;

public enum ResourceTypeEnum {
    MEMBER_CARD_RESOURCE(1, "会员卡资源"),
    FWH_RESOURCE(2, "服务号资源"),
    APPLET_RESOURCE(3, "小程序资源"),
    STORE_RESOURCE(4, "门店资源"),
    GOODS_RESOURCE(5, "商品资源"),
    ORDER_RESOURCE(6,"订单资源");

    private Integer code;
    private String message;
    ResourceTypeEnum(Integer code, String message){
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
