package com.gic.auth.exception;

import com.gic.api.base.commons.ServiceResponse;

/**
 * @author guojx
 * @date 2019/6/26 2:03 PM
 */
public class AuthException extends RuntimeException{
    private String errorCode;
    public AuthException(String errorCode, String message) {
        super(message);
        this.errorCode = errorCode;
    }

    public AuthException(ServiceResponse serviceResponse) {
        super(serviceResponse.getMessage());
        this.errorCode = serviceResponse.getCode();
    }

    public String getErrorCode() {
        return errorCode;
    }
}
