package com.gic.auth.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.MenuDTO;

import java.util.List;

public interface MenuApiService {
    /**
     * 获取登陆用户的菜单
     * @param userId
     * @param enterpriseId
     * @return
     */
    ServiceResponse<List<MenuDTO>> getUserMenu(Integer userId, Integer enterpriseId, Integer currentMenu);

    /**
     * 获取超级管理员菜单
     * @param userId
     * @param enterpriseId
     * @param currentMenu
     * @return
     */
    ServiceResponse<List<MenuDTO>> getSuperAdminMenu(Integer userId, Integer enterpriseId);
}
