package com.gic.auth.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.UnionEnterpriseDTO;

public interface UnionEnterpriseApiService {
    ServiceResponse<Integer> saveUnionEnterprise(UnionEnterpriseDTO enterpriseDTO);

    ServiceResponse<UnionEnterpriseDTO> getUnionEnterpriseByUnionEnterpriseId(Integer unionEnterrpiseId);

    ServiceResponse<Integer> delUnionEnterprise(Integer unionId, Integer enterpriseId);

    ServiceResponse<UnionEnterpriseDTO> getUnionEnterpriseById(Integer unionId);

    ServiceResponse<Page<UnionEnterpriseDTO>> pageUnionEnterprise(String search, Integer enterpriseId, Integer pageNum,
                                                                  Integer pageSize, Integer authorizationStatus);
}
