package com.gic.auth.service;

import com.gic.auth.dto.MenuRoleDTO;

import java.util.List;

/**
 * 角色菜单关联
 * @ClassName: MenuRoleService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/3 9:39 AM 
 */
public interface MenuRoleService {

    /**
     * 新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  void 
      */
    void save(MenuRoleDTO dto);

    /**
     * 删除角色相关菜单权限
     * @Title: deleteByRoleId 
     * @Description:
      * @author guojuxing
     * @param roleId 
     * @return  void 
      */
    void deleteByRoleId(Integer roleId);

    /**
     * 批量插入
     * @Title: insertForeach 
     * @Description:
      * @author guojuxing
     * @param list 
     * @return  void 
      */
    void insertForeach(List<MenuRoleDTO> list);

    /**
     * 根据角色ID查询列表
     * @Title: listMenuRoleByRoleId 
     * @Description:
      * @author guojuxing
     * @param roleId 
     * @return  java.util.List<com.gic.auth.dto.MenuRoleDTO> 
      */
    List<MenuRoleDTO> listMenuRoleByRoleId(Integer roleId);
}
