package com.gic.auth.service.impl;

import com.gic.auth.dao.mapper.TabSysMenuMapper;
import com.gic.auth.entity.TabSysMenu;
import com.gic.auth.service.MenuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service("menuService")
public class MenuServiceImpl implements MenuService {
    @Autowired
    private TabSysMenuMapper tabSysMenuMapper;
    @Override
    public List<TabSysMenu> listMenu() {
        return this.tabSysMenuMapper.listMenu();
    }

    @Override
    public TabSysMenu getMenuById(Integer menuId) {
        return this.tabSysMenuMapper.selectByPrimaryKey(menuId);
    }
}
